بيكسلات
GET https://25url.com/api/pixels/
curl --request GET \
--url 'https://25url.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://25url.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| search | اختياري سلسلة | سلسلة البحث. |
| search_by | اختياري سلسلة | في أي حقل تبحث؟ القيم المسموح بها هي: name, pixel. |
| type | اختياري سلسلة | القيم المسموح بها: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | اختياري سلسلة | القيم المسموح بها: datetime, last_datetime |
| datetime_start | اختياري سلسلة | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختياري سلسلة | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختياري سلسلة | بالحقل الذي سيتم ترتيب النتائج حسبه. القيم المسموح بها هي: pixel_id, datetime, last_datetime, name. |
| order_type | اختياري سلسلة | ترتيب النتائج. القيم المسموح بها هي: ASC للترتيب التصاعدي، و DESC للترتيب التنازلي. |
| page | اختياري عدد صحيح | رقم الصفحة التي ترغب في الحصول على النتائج منها. الافتراضي هو 1 |
| results_per_page | اختياري عدد صحيح | كم عدد النتائج التي ترغب في عرضها في كل صفحة. القيم المسموح بها هي: 10, 25, 50, 100, 250, 500, 1000. القيمة الافتراضية هي 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-05-04 14:58:48",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://25url.com/api/pixels?page=1",
"last": "https://25url.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://25url.com/api/pixels?page=1"
}
}
GET https://25url.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://25url.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://25url.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-05-04 14:58:48",
}
}
POST https://25url.com/api/pixels
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| type | مطلوب سلسلة | القيم المسموح بها: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | مطلوب سلسلة | - |
| pixel | مطلوب سلسلة | - |
curl --request POST \
--url 'https://25url.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://25url.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://25url.com/api/pixels/{pixel_id}
| المعلمات | تفاصيل | الوصف |
|---|---|---|
| type | اختياري سلسلة | القيم المسموح بها: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | اختياري سلسلة | - |
| pixel | اختياري سلسلة | - |
curl --request POST \
--url 'https://25url.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://25url.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://25url.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://25url.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://25url.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \